player_fiducial_item Struct Reference

Info on a single detected fiducial. More...

`#include <player_interfaces.h>`

## Public Attributes

int32_t | id
| The fiducial id. More...
player_pose3d_t | pose
| Fiducial pose relative to the detector. More...
player_pose3d_t | upose
| Uncertainty in the measured pose . More...

## Detailed Description

Info on a single detected fiducial.

The fiducial data packet contains a list of these.

## Member Data Documentation

int32_t player_fiducial_item::id

The fiducial id.

Fiducials that cannot be identified get id -1.

player_pose3d_t player_fiducial_item::pose

Fiducial pose relative to the detector.

player_pose3d_t player_fiducial_item::upose

Uncertainty in the measured pose .

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45